Campaigns

Measure an experiment

POST
/api/v1/experiments/{experiment_id}/measure

Recomputes conversion, lift, incremental revenue and profit, ROI and a two-proportion z-test from the transaction ledger, then records the SCALE / STOP / CONTINUE / WATCH decision.

Authorization

HTTPBearer
AuthorizationBearer <token>

JWT access token

In: header

Path Parameters

experiment_id*string
Formatuuid

Query Parameters

merchant_id?|

Optional merchant to act on. Must be one you are a member of.

Formatuuid

Header Parameters

X-Merchant-ID?string|null

Request Body

application/json

Re-run measurement. Recomputes every number from transactions.

window_end?|
Formatdate
window_start?|
Formatdate

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/measure" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "control_conversion_rate": 0,    "control_revenue": 0,    "conversion_lift_pct": 0,    "cost": 0,    "decision": "SCALE",    "decision_rationale": "string",    "experiment_id": "916afd89-cac5-4339-9c59-dd068abdfa69",    "hypothesis": "string",    "incremental_profit": 0,    "incremental_revenue": 0,    "is_significant": true,    "learning": "",    "name": "string",    "p_value": 0,    "provenance": {      "data_source": "SEEDED",      "is_simulated": true,      "note": "Seeded demo dataset - not computed from a live PayPal merchant account."    },    "roi": 0,    "status": "DRAFT",    "test_conversion_rate": 0,    "test_revenue": 0,    "window_end": "2019-08-24",    "window_start": "2019-08-24"  },  "meta": {},  "success": true}